Bug 1310708 - Exception when creating container with kie-api dependency in kjar
Exception when creating container with kie-api dependency in kjar
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER1
: 6.3.0
Assigned To: Maciej Swiderski
Karel Suta
:
Depends On:
Blocks: 1310889
  Show dependency treegraph
 
Reported: 2016-02-22 09:58 EST by Karel Suta
Modified: 2016-03-21 08:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1310889 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stacktrace (7.74 KB, text/plain)
2016-02-22 09:58 EST, Karel Suta
no flags Details

  None (edit)
Description Karel Suta 2016-02-22 09:58:21 EST
Created attachment 1129334 [details]
Stacktrace

Description of problem:
When I try to create container on Kie server from kjar which depends on OSGI - for example on kie-api, I get exception showed in attachment.


Version-Release number of selected component (if applicable):
6.2.1

How reproducible:
Create kjar which contains dependency on kie-api. Deploy kjar to Kie server.


Actual results:
Error listed in attachment is thrown.

Expected results:
Kjar is successfully deployed.

Additional info:
Comment 2 Edson Tirelli 2016-02-22 10:09:01 EST
Does it happen with any OSGified dependency jar or only with kie-api?
Comment 3 Karel Suta 2016-02-22 10:20:32 EST
Do you know any OSGified dependency which I could use to check it? Or how can I try it
Comment 4 Maciej Swiderski 2016-02-25 05:21:05 EST
this is already fixed for master and 6.4.x as part of https://bugzilla.redhat.com/show_bug.cgi?id=1296017

something that was already mentioned to docs team is that dependencies:
- org.kie
- org.drools
- org.jbpm

are always declared as provided as they are provided by both business central and kie server and thus should never be duplicated on ProjectClassLoader level
Comment 5 Karel Suta 2016-03-21 08:07:39 EDT
Verified in 6.3.0ER1

Note You need to log in before you can comment on or make changes to this bug.